Subject: Re: [PATCH v3 07/28] git-remote-mediawiki: Rewrite unclear line of instructions

From: Célestin Matte <[email-masked]>
Date: Tue, 11 Jun 2013 22:13:28 +0200

Le 11/06/2013 20:09, Junio C Hamano a écrit :
> Matthieu Moy <[email-masked]> writes:
> 
>>>       my ($namespace) = @_;
>>> 	my $namespace = shift;
>>>
>>> My impression has been that both are equally common,
>>
>> The second is the most common in git-remote-mediawiki (but I don't have
>> any preference nor know what is recommended elsewhere).
> 
> I wasn't implying I prefer the former.  I was just being curious,
> and if the latter is more prevalent in the code _and_ Perlcritique
> does not have any issue with it, it is perfectly fine.

Perlcritic doesn't have an issue with any of both cases.
I think the second method is clearer when there is only one argument,
because it makes it clear that there is only one.

-- 
Célestin Matte